Subject: bug#4110: 23.1.50; Checkdoc should recognize "minor mode"

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 27 Aug 2021 05:10:08 +0200

Mauro Aranda <[email-masked]> writes:

> The change to allow this should be pretty simple: just add "mode" to the
> list of suggested words.
>
> But I do wonder if instead checkdoc should be happy just with the symbol
> ending with "-mode".  IOW,  I tend to think that there is no ambiguity
> in "`my-mode'" in a docstring, even if my-mode is defined as a variable
> and as a function.
>
> Any opinions?

Yes, I think that's a good idea -- requiring "mode" before `my-mode'
seems excessive.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no